Record a bank batch line outcome
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{bank_batch_id}/lines/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"outcome": "<string>",
"bank_reference": "<string>",
"message": "<string>",
"paid_on": "2023-12-25"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outcome: '<string>',
bank_reference: '<string>',
message: '<string>',
paid_on: '2023-12-25'
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{bank_batch_id}/lines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{bank_batch_id}/lines/{id}"
payload = {
"outcome": "<string>",
"bank_reference": "<string>",
"message": "<string>",
"paid_on": "2023-12-25"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"reference": "<string>",
"bank_id": "<string>",
"bank_name": "<string>",
"format": "<string>",
"status": "<string>",
"run_on": "2023-12-25",
"description": "<string>",
"lines_count": 123,
"total_amount": 123,
"downloaded_at": "<string>",
"downloaded_by": "<string>",
"generated_by": "<string>",
"responded_at": "<string>",
"created_at": "<string>",
"supports_response_import": true,
"pending_lines_count": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Treasury Bank Batches
Record a bank batch line outcome
For banks with no response layout, record the answer line by line from the batch screen (ADR-029 §7.1).
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
bank_batches
/
{bank_batch_id}
/
lines
/
{id}
Record a bank batch line outcome
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{bank_batch_id}/lines/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"outcome": "<string>",
"bank_reference": "<string>",
"message": "<string>",
"paid_on": "2023-12-25"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outcome: '<string>',
bank_reference: '<string>',
message: '<string>',
paid_on: '2023-12-25'
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{bank_batch_id}/lines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/bank_batches/{bank_batch_id}/lines/{id}"
payload = {
"outcome": "<string>",
"bank_reference": "<string>",
"message": "<string>",
"paid_on": "2023-12-25"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"reference": "<string>",
"bank_id": "<string>",
"bank_name": "<string>",
"format": "<string>",
"status": "<string>",
"run_on": "2023-12-25",
"description": "<string>",
"lines_count": 123,
"total_amount": 123,
"downloaded_at": "<string>",
"downloaded_by": "<string>",
"generated_by": "<string>",
"responded_at": "<string>",
"created_at": "<string>",
"supports_response_import": true,
"pending_lines_count": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the line
The numeric ID of the account
Response
Success